POST dealer/orders

Create an order in SAP.

Request Information
Parameters
Name Description
dealer
[Mandatory, string]
Dealer number , length must be 5. A five-digit number, made up of a unique 4-digit numerical dealer number and a single digit 5th numerical digit that denotes department type. Or corresponding SapBpNumber, length must be 6.
key
[Mandatory, Guid]
Dealer API key: The dealer provided the authorization key. The key can be foun by the dealer in the Dealernet portal under the "Dealer" menu option.
dealer_reference
[Mandatory, string]
Dealer reference
order_date
[Mandatory, string]
Order datetime , length must be 6, format should be 'YYMMDD'
order_time
[Mandatory, string]
Order time , length must be 6
order_type
[Mandatory, string]
Order Type ('S' for stock or 'D' for daily)
ship_address_id
[Mandatory, string]
Ship address id
part_number
[Mandatory, string]
Part number
order_quantity
[Mandatory, int]
Order quantity
backorder
[Mandatory, string]
Back order , value must be Y or N
Request body formats
application/json
Example:
{
    "dealer" : 83289,
    "key" : "********-**50-****-****-11599*******",
    "dealer_reference" : "Order 123456",
    "order_date" : "160511",
    "order_time" : "090000",
    "order_type" : "S",
    "ship_address_id" : "1",
    "lines" :[{
        "part_number" : "17211-ZC3-000",
        "order_quantity" : 10,
        "backorder" : "N"
        },{
        "part_number" : "17211-ZF5-V01",
        "order_quantity" : 10,
        "backorder" : "Y"
    }]
  } 
 or 
 {
    "dealer" : 408328,
    "key" : "********-**50-****-****-11599*******",
    "dealer_reference" : "Order 123456",
    "order_date" : "160511",
    "order_time" : "090000",
    "order_type" : "S",
    "ship_address_id" : "1",
    "lines" :[{
        "part_number" : "17211-ZC3-000",
        "order_quantity" : 10,
        "backorder" : "N"
        },{
        "part_number" : "17211-ZF5-V01",
        "order_quantity" : 10,
        "backorder" : "Y"
    }]
}
Response Information
Response body formats
application/json
Example:
{
  "delivery": true,
  "receipt": "Create order successfully.",
  "sap_info": {} 
}
 
Or Bad Response:
{
  "delivery": false,
  "receipt": "Create order failed.",
  "sap_info": {} 
}
Notes

The 'key' in the request body example is masked for security.